<?php
function barlow_regions() {
  return array(
    'left' => t('left sidebar'),
    'right' => t('right sidebar'),
    'before_content' => t('before content'),
    'content' => t('content'),
    'header' => t('header'),
    'footer' => t('footer')
    );
}

function  _phptemplate_variables($hook, $vars) {
  switch($hook) {
    case 'node':
      if (count($vars['node']->taxonomy)) {
        $vars['terms'] = t('Tags: !tags', array('!tags' => $vars['terms']));
      }
      if ($vars['submitted']) {
        $vars['author'] = t('By: !user', array('!user' => theme('username', $vars['node'])));
      }
      break;
  }
  return $vars;
}

/**
 * Sets the body-tag class attribute.
 *
 * Adds 'sidebar-left', 'sidebar-right' or 'sidebars' classes as needed.
 */
function phptemplate_body_class($sidebar_left, $sidebar_right) {
  if ($sidebar_left != '' && $sidebar_right != '') {
    $class = 'sidebars';
  }
  else {
    if ($sidebar_left != '') {
      $class = 'sidebar-left';
    }
    if ($sidebar_right != '') {
      $class = 'sidebar-right';
    }
  }

  if (isset($class)) {
    print ' class="'. $class .'"';
  }
}

/**
 * Return a themed breadcrumb trail.
 *
 * @param $breadcrumb
 *   An array containing the breadcrumb links.
 * @return a string containing the breadcrumb output.
 */
function phptemplate_breadcrumb($breadcrumb) {
  if (!empty($breadcrumb)) {
    return '<div class="breadcrumb">'. implode(' → ', $breadcrumb) .'</div>';
  }
}

/**
 * Theme an image node teaser
 */
function phptemplate_image_teaser($node) {
 return l(image_display($node, 'thumbnail'), 'node/'. $node->nid, array('class' => 'image'), NULL, NULL, TRUE, TRUE) . $node->teaser;
}
